function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gav()
-- if flags.comend then
     playeffect("gav");
-- return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
    if sender == 100 then
  if flags.comx then
    speciale_action(2,12121,true);
    add_free_leaf("map16",15,101);
    set_satelite_leaf("barton_vhod");
    DoFile(15,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
  return;end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
  if sender==12 then
  if SLevel==1.0 then return;end;
    if flags.loc1 then
      if flags.loc2 and flags.loc3 then
      flags.loc1= false;
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
      return; end;
    CreateWindow(150,250,"199",nil,nil,250,30);    
--playeffect("01");      
    return;end;
    
  return;end;

if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
       AddParticleToObject(38,"zvezd",526,285);---zvon
      MoveEmiter("zvezd",526,285);
      if not flags.button then
        StartEmiter("zvezd"); 
      end;
      savegame(SaveLevel());
    return;end;     
    if obj_id==503 then --название levовня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале levовня ----
      ShowMenu(true);
      -- CreateWindow(150,250,"198");             
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
      if attachedID == -1 then
      if obj_id==501 then
  --        if whole_darkness then
        if flags.levelcomplete then
          LoadNextLevel()
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);

    --    return;end;
      return;end;
  
      if obj_id==66 then
      if flags.enter then 
      if not flags.firstloc2 then
        flags.firstloc2=true;
        setcurentleaf("barton_zal",15,1);
        SwitchToSheet("re");
        whole_darkness=false;
        DarkScreen(true);
        SetAlfa(503,0,1,1);
        speciale_action(4,503);
        playeffect("door");
        ShowMenu(false)
      return; end;
        setcurentleaf("barton_zal",15,1);
          playeffect("door");
          SwitchToSheet("re");
          savegame(SaveLevel());
      return; end;
      CreateWindow(150,250,"207",nil,nil,250,30);
      --playeffect("01");        
      return; end;  
      
      if obj_id == 38 then
      if not flags.enter then
        playeffect("dzin");
        Set_Cursor(27,3);
        flags.enter=true;
        frame=0;
        add_free_leaf("comics",15,50);
        set_satelite_leaf("barton_vhod");
        DoFile(15,50)
        ShowMenu(false);
      return;end;  
      return;end;
      
      if obj_id > 0 and obj_id < 300 and attachedID == -1 then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
      return; end;
  return; end;

  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;  
  -----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev15.0".." "..sender.."\n")
      if SLevel==1.0 then return;end;
    --flags.loc1 = true;
  return; end;
  
end
function SelectRandom()
  idObject=GetRandomObject();
  if not flags.enter then
  selectrandomobject(1.5,38);
  end;
  selectrandomobject(1.5,66);
end;
function SelectRandomRadar(idObject)
  selectrandomobject(1.5,idObject);
end;
